Table of Contents

## Name

im_embed - extract a portion of an image

## Synopsis

#include <vips/vips.h>

int im_embed( in, out, type, x, y, w, h )
IMAGE *in, *out;
int type;
int x, y, w, h;

## Description

im_embed() embeds in within a larger image (size w by h), with in's top left-hand corner at position (x,y) within the output image. The value of type controls what appears in the new pels.

0 - black pels
1 - extend pels from image to edge
2 - tile pels from image
3 - mirror pels from image

Works for any size image, any number of bands, any type. Works for LABPACK coded images too.

## Return Value

The function returns 0 on success and -1 on error.

## See Also

im_insert(3) , im_extract(3) , im_region_region(3) , im_fill_copy(3) .

## Copyright

National Gallery, 1995.

## Author

J. Cupitt - 11/04/1995

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also
- Copyright
- Author